#
# spec file for package rubygem-hitimes
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-hitimes
Version:        2.0.0
Release:        1.21
%define mod_name hitimes
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/copiousfreetime/hitimes
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-hitimes-rpmlintrc
Source2:        gem2rpm.yml
Summary:        A fast, high resolution timer library for recording peformance
License:        ISC
Group:          Development/Languages/Ruby

%description
A fast, high resolution timer library for recording peformance metrics. *
(http://github.com/copiousfreetime/hitimes) *
(http://github.com/copiousfreetime/hitimes) * email jeremy at copiousfreetime
dot org * `git clone url git://github.com/copiousfreetime/hitimes.git`.

%prep

%build

%install
%gem_install \
  --doc-files="HISTORY.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.0
  see installed HISTORY.md
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.1
  see installed HISTORY.md
  [#]# Version 1.3.1 2019-01-18
  * Update jruby extension to not use global runtime state (thanks @kares) (#70)
  * Update travis CI config
  * Update documentataion for Ruby 2.6
* Fri Jun 15 2018 factory-auto@kulow.org
- updated to version 1.3.0
  see installed HISTORY.md
  [#]# Version 1.3.0 2018-06-15
  * Add api method `Hitimes.raw_instant` to expose raw OS instant value
  * Add api constant `Hitimes::INSTANT_CONVERSION_FACTOR` to expose raw OS instant conversion factor
  * other development cleanup tasks
* Mon Sep 11 2017 coolo@suse.com
- updated to version 1.2.6
  see installed HISTORY.md
  [#]# Version 1.2.6 2017-08-04
  * Resolve version number issue (#61) (thanks @anthraxx)
* Mon Jul  3 2017 mrueckert@suse.de
- add rpmlintrc as we run into rpmlint score limits because of the
  C source files we ship.
* Tue May 30 2017 coolo@suse.com
- updated to version 1.2.5
  see installed HISTORY.md
  [#]# Version 1.2.5 2017-05-25
  * Update dependencies
  * Add ruby 2.4 to windows fatbinary
  * Update docs to indicate windows ruby before 2.0 is no longer supported
* Wed May  4 2016 coolo@suse.com
- updated to version 1.2.4
  see installed HISTORY.md
  [#]# Version 1.2.4 2016-05-01
  * Fix finding the extension on ruby 2.1.10 (thanks @wpiekutowski)
  * Add more readable load error (thanks @mbautin)
  * Update README with what versions of ruby are supported.
* Mon Sep 14 2015 coolo@suse.com
- updated to version 1.2.3
  see installed HISTORY.md
  [#]# Version 1.2.3 2015-09-13
  * Release new fatbinary version for windows
  * Update README to indicate duration units
  * Provide a more friendly error message if the gem is not installed correctly
* Fri Oct 24 2014 tboerger@suse.com
- Initial packaging of 1.2.2
